<?php
if (is_admin() && isset($_GET['activated'] ) && $pagenow == "themes.php" ) {
	header( 'Location: '.admin_url().'admin.php?page=darknature' ) ;
}
class ControlPanel {
  var $default_settings = Array(
	'cp_color' => 'd90909',
	'cp_sidebar_position' => 'left',
	'cp_image_hover' => '1',
	'cp_menu_home' => '1',
	'cp_menu_home_subtitle' => 'subtitle here',
	'cp_post_share' => '1',
	'cp_error' => 'Apologies, but we were unable to find what you were looking for. Perhaps  searching will help.',
	'cp_slider_show' => '1',
	'cp_slider_effect' => 'random',
	'cp_slider_time' => '10',
	'cp_slider_number' => '5',
	'cp_frontpage_showabout' => '1',
	'cp_frontpage_about' => 'Take a good look at this brand new website. It uses the Dark Nature Wordpress Theme. It will seriously rock you world!',
	'cp_portfolio_number' => '6',
	'cp_gallery_number' => '6',
	'cp_blog_number' => '5',
	'cp_frontpage_contact_title' => 'Contact us'
  );
  function ControlPanel() {
	add_action('admin_menu', array(&$this, 'admin_menu'));
	if ($_GET['page'] == 'darknature') {
		wp_enqueue_script('media-upload');
		wp_enqueue_script('thickbox');
		wp_enqueue_style('thickbox');
	}
	add_action('admin_head', array(&$this, 'admin_head'));
	if (!is_array(get_option('darknature'))) {
		add_option('darknature', $this->default_settings);
		$this->options = get_option('darknature');
	}
	$this->options = get_option('darknature');
  }
  function admin_menu() {
    add_theme_page('Theme Control Panel', 'Aria theme settings', 'edit_themes', "darknature", array(&$this, 'optionsmenu'));
  }
  function admin_head() {
   	ob_start();
  	?>
	<script type="text/javascript" src="<?=get_bloginfo('template_url')?>/backend/js/jquery.js"></script>
	<script type="text/javascript" src="<?=get_bloginfo('template_url')?>/backend/js/colorpicker.js"></script>
    <script type="text/javascript" src="<?=get_bloginfo('template_url')?>/backend/js/eye.js"></script>
    <script type="text/javascript" src="<?=get_bloginfo('template_url')?>/backend/js/utils.js"></script>
    <script type="text/javascript" src="<?=get_bloginfo('template_url')?>/backend/js/layout.js?ver=1.0.2"></script>
	<link rel="stylesheet" href="<?=get_bloginfo('template_url')?>/backend/css/colorpicker.css" type="text/css" />
	<link rel="stylesheet" href="<?=get_bloginfo('template_url')?>/backend/controlpanel.css" type="text/css" media="screen" />
	<script type="text/javascript">
	$(document).ready(function(){
		$("#cp_color").ColorPicker({
			onSubmit: function(hsb, hex, rgb, el) {
				$(el).val(hex);
				$(el).ColorPickerHide();
			},
			onBeforeShow: function () {
				$(this).ColorPickerSetColor(this.value);
			}
		})
		.bind("keyup", function(){
			$(this).ColorPickerSetColor(this.value);
		});
		$(".item-general").css("display","block");
		$(".menu-item").click(function(){
			$(".menu-item").removeClass("current-item");
			$(this).addClass("current-item");
			var item = $(this).attr("item");
			$(".rm_section").css("display","none");
			$("."+item).css("display","block");
			return false;
		});
		
		window.formfield = '';
		
		$('.upload_button').click(function() {
		 	window.formfield = $('.upload_field',$(this).parent().parent());
		 	tb_show('', 'media-upload.php?type=image&TB_iframe=true');
			return false;
		});
		
		window.original_send_to_editor = window.send_to_editor;
		window.send_to_editor = function(html) {
			if (window.formfield != '') {
				imgurl = $('img',html).attr('src');
				window.formfield.val(imgurl);
				window.formfield = '';
				tb_remove();
			}
			else {
				window.original_send_to_editor(html);
			}
		}
	});
	</script>
	<?php
  	$o = ob_get_contents();
  	return $o;
  }
  function optionsmenu() { 
	  if ($_POST['ss_action'] == 'save') {
		$this->options["cp_bloglogo"] = $_POST['cp_bloglogo'];
		$this->options["cp_favicon"] = $_POST['cp_favicon'];
		$this->options["cp_trackingcode"] = $_POST['cp_trackingcode'];
		$this->options["cp_sidebar_position"] = $_POST['cp_sidebar_position'];
		$this->options["cp_image_hover"] = $_POST['cp_image_hover'];
		$this->options["cp_menu_home"] = $_POST['cp_menu_home'];
		$this->options["cp_menu_home_subtitle"] = $_POST['cp_menu_home_subtitle'];
		$this->options["cp_error"] = $_POST['cp_error'];
		$this->options["cp_color"] = $_POST['cp_color'];
		$this->options["cp_post_share"] = $_POST['cp_post_share'];
		$this->options["cp_frontpage_blog"] = $_POST['cp_frontpage_blog'];
		$this->options["cp_frontpage_cat"] = ($_POST['cp_frontpage_cat'] ? implode(",",$_POST['cp_frontpage_cat']) : '0');
		$this->options["cp_frontpage_number"] = $_POST['cp_frontpage_number'];
		$this->options["cp_frontpage_showabout"] = $_POST['cp_frontpage_showabout'];
		$this->options["cp_frontpage_about"] = $_POST['cp_frontpage_about'];
		$this->options["cp_frontpage_contact"] = $_POST['cp_frontpage_contact'];
		$this->options["cp_frontpage_contact_title"] = $_POST['cp_frontpage_contact_title'];
		$this->options["cp_twitter_button"] = $_POST['cp_twitter_button'];
		$this->options["cp_facebook_button"] = $_POST['cp_facebook_button'];
		$this->options["cp_flickr_button"] = $_POST['cp_flickr_button'];
		$this->options["cp_linkedin_button"] = $_POST['cp_linkedin_button'];
		$this->options["cp_contact_phone"] = $_POST['cp_contact_phone'];
		$this->options["cp_contact_email"] = $_POST['cp_contact_email'];
		$this->options["cp_slider_show"] = $_POST['cp_slider_show'];
		$this->options["cp_slider_effect"] = $_POST['cp_slider_effect'];
		$this->options["cp_slider_time"] = $_POST['cp_slider_time'];
        $this->options["cp_slider_cat"] = ($_POST['cp_slider_cat'] ? implode(",",$_POST['cp_slider_cat']) : '0');
		$this->options["cp_slider_number"] = $_POST['cp_slider_number'];
		$this->options["cp_portfolio_cat"] = ($_POST['cp_portfolio_cat'] ? implode(",",$_POST['cp_portfolio_cat']) : '0');
		$this->options["cp_portfolio_number"] = $_POST['cp_portfolio_number'];
		$this->options["cp_portfolio_submenu"] = $_POST['cp_portfolio_submenu'];
		$this->options["cp_portfolio_footer"] = $_POST['cp_portfolio_footer'];
		$this->options["cp_gallery_cat"] = ($_POST['cp_gallery_cat'] ? implode(",",$_POST['cp_gallery_cat']) : '0');
		$this->options["cp_gallery_number"] = $_POST['cp_gallery_number'];
		$this->options["cp_gallery_submenu"] = $_POST['cp_gallery_submenu'];
		$this->options["cp_gallery_footer"] = $_POST['cp_gallery_footer'];
		$this->options["cp_catgallery_cat"] = ($_POST['cp_catgallery_cat'] ? implode(",",$_POST['cp_catgallery_cat']) : '0');
		$this->options["cp_catgallery_title"] = $_POST['cp_catgallery_title'];
		$this->options["cp_catgallery_footer"] = $_POST['cp_catgallery_footer'];
		$this->options["cp_blog_cat"] = ($_POST['cp_blog_cat'] ? implode(",",$_POST['cp_blog_cat']) : '0');
		$this->options["cp_blog_number"] = $_POST['cp_blog_number'];
		update_option('darknature', $this->options);
		echo '<div class="updated fade" id="message" style="background-color: rgb(255, 251, 204); width: 300px; margin-left: 20px"><p>Settings <strong>saved</strong>.</p></div>';
	  }
	  ?>
      <div class="wrap rm_wrap">
          <h2>Aria theme settings</h2>
          <p>To easily modify the theme and adjust it for your needs, use these settings</p>
          <div id="theme-menu">
              <div class="menu-item current-item" item="item-general">General</div>
              <div class="menu-item" item="item-frontpage">Frontpage</div>
              <div class="menu-item" item="item-portfolio">Portfolio</div>
              <div class="menu-item" item="item-gallery">Gallery</div>
              <div class="menu-item" item="item-catgallery">Category gallery</div>
              <div class="menu-item" item="item-blog">Blog</div>
          </div>
          <div class="rm_opts">
              <form action="" method="post" class="themeform">
                  <input type="hidden" id="ss_action" name="ss_action" value="save">
                  <div class="rm_section item-general">
                      <div class="rm_title">
                          <h3>General</h3>
                          <span class="submit">
                              <input type="submit" value="Save Changes" name="cp_save"/>
                          </span>
                          <div class="clearfix"></div>
                      </div>
                      <div class="rm_input rm_text">
                          <label for="cp_bloglogo">Blog logo</label>
                          <input type="text" name="cp_bloglogo" id="cp_bloglogo" class="upload_field" value="<?php echo $this->options["cp_bloglogo"]; ?>" />
                          <small><input class="upload_button" type="button" value="Browse" /><br />The logo image for you website</small><div class="clearfix"></div>
                      </div>
                      <div class="rm_input rm_text">
                          <label for="cp_favicon">Favicon</label>
                          <input type="text" name="cp_favicon" id="cp_favicon" class="upload_field" value="<?php echo $this->options["cp_favicon"]; ?>" />
                          <small><input class="upload_button" type="button" value="Browse" /><br />The favicon which will show up in the adresbar and bookmarks. Must be a .ico file</small><div class="clearfix"></div>
                      </div>
                      <div class="rm_input rm_text">
                          <label for="cp_trackingcode">Google analytics</label>
                          <input type="text" name="cp_trackingcode" id="cp_trackingcode" value="<?php echo $this->options["cp_trackingcode"]; ?>" />
                          <small>Insert your google analytics tracking number</small><div class="clearfix"></div>
                      </div>
                      <div class="rm_input rm_text">
                          <label for="cp_color">Website link color</label>
                          <input type="text" name="cp_color" id="cp_color" value="<?php echo $this->options["cp_color"]; ?>" />
                          <small>This is the color of links used on this website</small><div class="clearfix"></div>
                      </div>
                      <div class="rm_input rm_select">
                          <label for="cp_sidebar_position">Sidebar position</label>
                          <select name="cp_sidebar_position" id="cp_sidebar_position">
                          	  <option <?php if ($this->options["cp_sidebar_position"] == 'left') { ?>selected="selected"<?php } ?> value="left">Left</option>
                              <option <?php if ($this->options["cp_sidebar_position"] == 'right') { ?>selected="selected"<?php } ?> value="right">Right</option>
                              <option <?php if ($this->options["cp_sidebar_position"] == 'hidden') { ?>selected="selected"<?php } ?> value="hidden">Hidden (full width content)</option>
                          </select>
                          <small>The position of the sidebar</small><div class="clearfix"></div>
                      </div>
                      <div class="rm_input rm_text">
                          <label for="cp_image_hover">Enable image 'eye' hover</label>
                          <input type="checkbox" <?php if ($this->options["cp_image_hover"] == '1') { echo 'checked'; } ?>  name="cp_image_hover" id="cp_image_hover" value="1" />
                          <small>Enable the image hover effect, showing a transparent eye</small><div class="clearfix"></div>
                      </div>
                      <div class="rm_input rm_text">
                          <label for="cp_post_share">Display share buttons</label>
                          <input type="checkbox" <?php if ($this->options["cp_post_share"] == '1') { echo 'checked'; } ?>  name="cp_post_share" id="cp_post_share" value="1" />
                          <small>Display share buttons to social media on all your posts</small><div class="clearfix"></div>
                      </div>
                      <div class="rm_input rm_text">
                          <label for="cp_menu_home">Home button in menu</label>
                          <input type="checkbox" <?php if ($this->options["cp_menu_home"] == '1') { echo 'checked'; } ?>  name="cp_menu_home" id="cp_menu_home" value="1" />
                          <small>Display the home button in the menu</small><div class="clearfix"></div>
                      </div>
                      <div class="rm_input rm_text">
                          <label for="cp_menu_home_subtitle">Home menu subtitle</label>
                          <input type="text" name="cp_menu_home_subtitle" id="cp_menu_home_subtitle" value="<?php echo $this->options["cp_menu_home_subtitle"]; ?>" />
                          <small>This is the subtitle of the homebutton in the top menu</small><div class="clearfix"></div>
                      </div>
                      <div class="rm_input rm_text">
                          <label for="cp_error">404 error message</label>
                          <input type="text" name="cp_error" id="cp_error" value="<?php echo stripslashes(htmlspecialchars($this->options["cp_error"])); ?>" />
                          <small>The text displayed on a 404 error page</small><div class="clearfix"></div>
                      </div>
                  </div>
                  <div class="rm_section item-frontpage">
                      <div class="rm_title">
                          <h3>Frontpage blog mode</h3>
                          <span class="submit">
                              <input type="submit" value="Save Changes" name="cp_save"/>
                          </span>
                          <div class="clearfix"></div>
                      </div>
                      <div class="rm_input rm_text">
                          <label for="cp_frontpage_blog">Use bloglayout for frontpage</label>
                          <input type="checkbox" <?php if ($this->options["cp_frontpage_blog"] == '1') { echo 'checked'; } ?>  name="cp_frontpage_blog" id="cp_frontpage_blog" value="1" />
                          <small>Display your blogposts on the frontpage, instead of the custom layout</small><div class="clearfix"></div>
                      </div>
                      <div class="rm_input rm_text">
                          <label for="cp_frontpage_cat">Content categories</label>
                          <div style="overflow:auto;width:280px;height:100px;border: 1px solid #DFDFDF;display:inline-block;">
                          	<?php 
							$temp_array = explode(',',$this->options["cp_frontpage_cat"]);
							$categories = get_categories('order_by=name&order=asc&hide_empty=0');
                            foreach ($categories as $cat) { ?>
                            	<input type="checkbox" <?php if ($temp_array && in_array($cat->term_id, $temp_array)) { echo 'checked'; } ?>  name="cp_frontpage_cat[]" id="cp_frontpage_cat" value="<?php echo $cat->term_id; ?>" /> <?php echo $cat->name; ?><br />
                            <?php } ?>
                          </div>
                          <small>Select which categories you wish to display on the frontpage</small><div class="clearfix"></div>
                      </div>
                      <div class="rm_input rm_text">
                          <label for="cp_frontpage_number">Number of posts</label>
                          <input type="text" name="cp_frontpage_number" id="cp_frontpage_number" value="<?php echo $this->options["cp_frontpage_number"]; ?>" />
                          <small>The number of posts you wish to display on the frontpage (if enabled), beginning with the latest post</small><div class="clearfix"></div>
                      </div>
                      <div class="rm_title">
                          <h3>About text</h3>
                          <span class="submit">
                              <input type="submit" value="Save Changes" name="cp_save"/>
                          </span>
                          <div class="clearfix"></div>
                      </div>
                      <div class="rm_input rm_text">
                          <label for="cp_frontpage_showabout">Display about text</label>
                          <input type="checkbox" <?php if ($this->options["cp_frontpage_showabout"] == '1') { echo 'checked'; } ?>  name="cp_frontpage_showabout" id="cp_frontpage_showabout" value="1" />
                          <small>Display the about text on the frontpage</small><div class="clearfix"></div>
                      </div>
                      <div class="rm_input rm_text">
                          <label for="cp_frontpage_about">About text</label>
                          <textarea name="cp_frontpage_about" id="cp_frontpage_about" rows="4" cols="30"><?php echo stripslashes(htmlspecialchars($this->options["cp_frontpage_about"])); ?></textarea>
                          <small>This is the 'about' text on the frontpage, positioned just under the slider</small><div class="clearfix"></div>
                      </div>
                      <div class="rm_title">
                          <h3>Frontpage slider</h3>
                          <span class="submit">
                              <input type="submit" value="Save Changes" name="cp_save"/>
                          </span>
                          <div class="clearfix"></div>
                      </div>
                      <div class="rm_input rm_text">
                          <label for="cp_slider_show">Display frontpage slider</label>
                          <input type="checkbox" <?php if ($this->options["cp_slider_show"] == '1') { echo 'checked'; } ?>  name="cp_slider_show" id="cp_slider_show" value="1" />
                          <small>Display the content slider on the frontpage</small><div class="clearfix"></div>
                      </div>
                      <div class="rm_input rm_select">
                          <label for="cp_slider_effect">Transition effect</label>
                          <select name="cp_slider_effect" id="cp_slider_effect">
                          	  <option <?php if ($this->options["cp_slider_effect"] == 'random') { ?>selected="selected"<?php } ?> value="random">Random</option>
                              <option <?php if ($this->options["cp_slider_effect"] == 'sliceDown') { ?>selected="selected"<?php } ?> value="sliceDown">Slice down</option>
                              <option <?php if ($this->options["cp_slider_effect"] == 'sliceDownLeft') { ?>selected="selected"<?php } ?> value="sliceDownLeft">Slice down left</option>
                              <option <?php if ($this->options["cp_slider_effect"] == 'sliceUp') { ?>selected="selected"<?php } ?> value="sliceUp">Slice up</option>
                              <option <?php if ($this->options["cp_slider_effect"] == 'sliceUpLeft') { ?>selected="selected"<?php } ?> value="sliceUpLeft">Slice up left</option>
                              <option <?php if ($this->options["cp_slider_effect"] == 'sliceUpDown') { ?>selected="selected"<?php } ?> value="sliceUpDown">Slice up down</option>
                              <option <?php if ($this->options["cp_slider_effect"] == 'sliceUpDownLeft') { ?>selected="selected"<?php } ?> value="sliceUpDownLeft">Slice up down left</option>
                              <option <?php if ($this->options["cp_slider_effect"] == 'fold') { ?>selected="selected"<?php } ?> value="fold">Fold</option>
                              <option <?php if ($this->options["cp_slider_effect"] == 'fade') { ?>selected="selected"<?php } ?> value="fade">Fade</option>
                          </select>
                          <small>The effect of the slider transition</small><div class="clearfix"></div>
                      </div>
                      <div class="rm_input rm_text">
                          <label for="cp_slider_time">Rotation interval</label>
                          <input type="text" name="cp_slider_time" id="cp_slider_time" value="<?php echo $this->options["cp_slider_time"]; ?>" />
                          <small>Number of seconds each item should be displayed</small><div class="clearfix"></div>
                      </div>
                      <div class="rm_input rm_text">
                          <label for="cp_slider_cat">Content categories</label>
                          <div style="overflow:auto;width:280px;height:100px;border: 1px solid #DFDFDF;display:inline-block;">
                          	<?php 
							$temp_array = explode(',',$this->options["cp_slider_cat"]);
							$categories = get_categories('order_by=name&order=asc&hide_empty=0');
                            foreach ($categories as $cat) { ?>
                            	<input type="checkbox" <?php if ($temp_array && in_array($cat->term_id, $temp_array)) { echo 'checked'; } ?>  name="cp_slider_cat[]" id="cp_slider_cat" value="<?php echo $cat->term_id; ?>" /> <?php echo $cat->name; ?><br />
                            <?php } ?>
                          </div>
                          <small>Select which categories you wish to display</small><div class="clearfix"></div>
                      </div>
                      <div class="rm_input rm_text">
                          <label for="cp_slider_number">Number of posts</label>
                          <input type="text" name="cp_slider_number" id="cp_slider_number" value="<?php echo $this->options["cp_slider_number"]; ?>" />
                          <small>The number of posts to include in the slider, beginning with the latest post</small><div class="clearfix"></div>
                      </div>
                      <div class="rm_title">
                          <h3>Contact widget</h3>
                          <span class="submit">
                              <input type="submit" value="Save Changes" name="cp_save"/>
                          </span>
                          <div class="clearfix"></div>
                      </div>
                      <div class="rm_input rm_text">
                          <label for="cp_frontpage_contact">Display contact widget</label>
                          <input type="checkbox" <?php if ($this->options["cp_frontpage_contact"] == '1') { echo 'checked'; } ?>  name="cp_frontpage_contact" id="cp_frontpage_contact" value="1" />
                          <small>Display the contact widget on the frontpage</small><div class="clearfix"></div>
                      </div>
                      <div class="rm_input rm_text">
                          <label for="cp_frontpage_contact_title">Contact widget title</label>
                          <input type="text" name="cp_frontpage_contact_title" id="cp_frontpage_contact_title" value="<?php echo $this->options["cp_frontpage_contact_title"]; ?>" />
                          <small>The contact widget title</small><div class="clearfix"></div>
                      </div>
                      <div class="rm_input rm_text">
                          <label for="cp_twitter_button">Twitter username</label>
                          <input type="text" name="cp_twitter_button" id="cp_twitter_button" value="<?php echo $this->options["cp_twitter_button"]; ?>" />
                          <small>Your twitter username</small><div class="clearfix"></div>
                      </div>
                      <div class="rm_input rm_text">
                          <label for="cp_facebook_button">Facebook profile url</label>
                          <input type="text" name="cp_facebook_button" id="cp_facebook_button" value="<?php echo $this->options["cp_facebook_button"]; ?>" />
                          <small>Url to your facebook profile</small><div class="clearfix"></div>
                      </div>
                      <div class="rm_input rm_text">
                          <label for="cp_flickr_button">Flickr profile url</label>
                          <input type="text" name="cp_flickr_button" id="cp_flickr_button" value="<?php echo $this->options["cp_flickr_button"]; ?>" />
                          <small>Url to your flickr profile</small><div class="clearfix"></div>
                      </div>
                      <div class="rm_input rm_text">
                          <label for="cp_linkedin_button">LinkedIn profile url</label>
                          <input type="text" name="cp_linkedin_button" id="cp_linkedin_button" value="<?php echo $this->options["cp_linkedin_button"]; ?>" />
                          <small>Url to your linkedin profile</small><div class="clearfix"></div>
                      </div>
                      <div class="rm_input rm_text">
                          <label for="cp_contact_phone">Your phone number</label>
                          <input type="text" name="cp_contact_phone" id="cp_contact_phone" value="<?php echo $this->options["cp_contact_phone"]; ?>" />
                          <small>Display your phone number on the frontpage</small><div class="clearfix"></div>
                      </div>
                      <div class="rm_input rm_text">
                          <label for="cp_contact_email">Your email adres</label>
                          <input type="text" name="cp_contact_email" id="cp_contact_email" value="<?php echo $this->options["cp_contact_email"]; ?>" />
                          <small>Display your email adres on the frontpage</small><div class="clearfix"></div>
                      </div>
                  </div>
                  <div class="rm_section item-portfolio">
                      <div class="rm_title">
                          <h3>Portfolio page</h3>
                          <span class="submit">
                              <input type="submit" value="Save Changes" name="cp_save"/>
                          </span>
                          <div class="clearfix"></div>
                      </div>
                      <div class="rm_input rm_text">
                          <label for="cp_portfolio_cat">Portfolio categories</label>
                          <div style="overflow:auto;width:280px;height:100px;border: 1px solid #DFDFDF;display:inline-block;">
                          	<?php 
							$temp_array = explode(',',$this->options["cp_portfolio_cat"]);
							$categories = get_categories('order_by=name&order=asc&hide_empty=0');
                            foreach ($categories as $cat) { ?>
                            	<input type="checkbox" <?php if ($temp_array && in_array($cat->term_id, $temp_array)) { echo 'checked'; } ?>  name="cp_portfolio_cat[]" id="cp_portfolio_cat" value="<?php echo $cat->term_id; ?>" /> <?php echo $cat->name; ?><br />
                            <?php } ?>
                          </div>
                          <small>Select which categories you want to show on the portfolio page</small><div class="clearfix"></div>
                      </div>
                      <div class="rm_input rm_text">
                          <label for="cp_portfolio_number">Number of portfolio posts</label>
                          <input type="text" name="cp_portfolio_number" id="cp_portfolio_number" value="<?php echo $this->options["cp_portfolio_number"]; ?>" />
                          <small>The number of posts to show per portfolio page, beginning with the latest post</small><div class="clearfix"></div>
                      </div>
                      <div class="rm_input rm_text">
                          <label for="cp_portfolio_submenu">Portfolio categories as submenu</label>
                          <input type="checkbox" <?php if ($this->options["cp_portfolio_submenu"] == '1') { echo 'checked'; } ?>  name="cp_portfolio_submenu" id="cp_portfolio_submenu" value="1" />
                          <small>This will automaticly display the portfolio categories as submenu</small><div class="clearfix"></div>
                      </div>
                      <div class="rm_input rm_text">
                          <label for="cp_portfolio_footer">Portfolio footer widgets</label>
                          <input type="checkbox" <?php if ($this->options["cp_portfolio_footer"] == '1') { echo 'checked'; } ?>  name="cp_portfolio_footer" id="cp_portfolio_footer" value="1" />
                          <small>This will display the footer widgets on the portfolio page</small><div class="clearfix"></div>
                      </div>
                  </div>
                  <div class="rm_section item-gallery">
                      <div class="rm_title">
                          <h3>Gallery page</h3>
                          <span class="submit">
                              <input type="submit" value="Save Changes" name="cp_save"/>
                          </span>
                          <div class="clearfix"></div>
                      </div>
                      <div class="rm_input rm_text">
                          <label for="cp_gallery_cat">Gallery categories</label>
                          <div style="overflow:auto;width:280px;height:100px;border: 1px solid #DFDFDF;display:inline-block;">
                          	<?php 
							$temp_array = explode(',',$this->options["cp_gallery_cat"]);
							$categories = get_categories('order_by=name&order=asc&hide_empty=0');
                            foreach ($categories as $cat) { ?>
                            	<input type="checkbox" <?php if ($temp_array && in_array($cat->term_id, $temp_array)) { echo 'checked'; } ?>  name="cp_gallery_cat[]" id="cp_gallery_cat" value="<?php echo $cat->term_id; ?>" /> <?php echo $cat->name; ?><br />
                            <?php } ?>
                          </div>
                          <small>Select which categories you want to show on the gallery page</small><div class="clearfix"></div>
                      </div>
                      <div class="rm_input rm_text">
                          <label for="cp_gallery_number">Number of gallery posts</label>
                          <input type="text" name="cp_gallery_number" id="cp_gallery_number" value="<?php echo $this->options["cp_gallery_number"]; ?>" />
                          <small>The number of posts to show per gallery page, beginning with the latest post</small><div class="clearfix"></div>
                      </div>
                      <div class="rm_input rm_text">
                          <label for="cp_gallery_submenu">Gallery categories as submenu</label>
                          <input type="checkbox" <?php if ($this->options["cp_gallery_submenu"] == '1') { echo 'checked'; } ?>  name="cp_gallery_submenu" id="cp_gallery_submenu" value="1" />
                          <small>This will automaticly display the gallery categories as submenu</small><div class="clearfix"></div>
                      </div>
                      <div class="rm_input rm_text">
                          <label for="cp_gallery_footer">Gallery footer widgets</label>
                          <input type="checkbox" <?php if ($this->options["cp_gallery_footer"] == '1') { echo 'checked'; } ?>  name="cp_gallery_footer" id="cp_gallery_footer" value="1" />
                          <small>This will display the footer widgets on the gallery page</small><div class="clearfix"></div>
                      </div>
                  </div>
                  <div class="rm_section item-catgallery">
                      <div class="rm_title">
                          <h3>Category gallery page</h3>
                          <span class="submit">
                              <input type="submit" value="Save Changes" name="cp_save"/>
                          </span>
                          <div class="clearfix"></div>
                      </div>
                      <div class="rm_input rm_text">
                          <label for="cp_catgallery_cat">Gallery categories</label>
                          <div style="overflow:auto;width:280px;height:100px;border: 1px solid #DFDFDF;display:inline-block;">
                          	<?php 
							$temp_array = explode(',',$this->options["cp_catgallery_cat"]);
							$categories = get_categories('order_by=name&order=asc&hide_empty=0');
                            foreach ($categories as $cat) { ?>
                            	<input type="checkbox" <?php if ($temp_array && in_array($cat->term_id, $temp_array)) { echo 'checked'; } ?>  name="cp_catgallery_cat[]" id="cp_catgallery_cat" value="<?php echo $cat->term_id; ?>" /> <?php echo $cat->name; ?><br />
                            <?php } ?>
                          </div>
                          <small>Select which categories you want to show on the category gallery page</small><div class="clearfix"></div>
                      </div>
                      <div class="rm_input rm_text">
                          <label for="cp_catgallery_title">Gallery category title</label>
                          <input type="checkbox" <?php if ($this->options["cp_catgallery_title"] == '1') { echo 'checked'; } ?>  name="cp_catgallery_title" id="cp_catgallery_title" value="1" />
                          <small>This will display the category title on the category gallery page</small><div class="clearfix"></div>
                      </div>
                      <div class="rm_input rm_text">
                          <label for="cp_catgallery_footer">Gallery footer widgets</label>
                          <input type="checkbox" <?php if ($this->options["cp_catgallery_footer"] == '1') { echo 'checked'; } ?>  name="cp_catgallery_footer" id="cp_catgallery_footer" value="1" />
                          <small>This will display the footer widgets on the category gallery page</small><div class="clearfix"></div>
                      </div>
                  </div>
                  <div class="rm_section item-blog">
                      <div class="rm_title">
                          <h3>Blog page</h3>
                          <span class="submit">
                              <input type="submit" value="Save Changes" name="cp_save"/>
                          </span>
                          <div class="clearfix"></div>
                      </div>
                      <div class="rm_input rm_text">
                          <label for="cp_blog_cat">Blog categories</label>
                          <div style="overflow:auto;width:280px;height:100px;border: 1px solid #DFDFDF;display:inline-block;">
                          	<?php 
							$temp_array = explode(',',$this->options["cp_blog_cat"]);
							$categories = get_categories('order_by=name&order=asc&hide_empty=0');
                            foreach ($categories as $cat) { ?>
                            	<input type="checkbox" <?php if ($temp_array && in_array($cat->term_id, $temp_array)) { echo 'checked'; } ?>  name="cp_blog_cat[]" id="cp_blog_cat" value="<?php echo $cat->term_id; ?>" /> <?php echo $cat->name; ?><br />
                            <?php } ?>
                          </div>
                          <small>Select which categories you want to show on the blog page</small><div class="clearfix"></div>
                      </div>
                      <div class="rm_input rm_text">
                          <label for="cp_blog_number">Number of blog posts</label>
                          <input type="text" name="cp_blog_number" id="cp_blog_number" value="<?php echo $this->options["cp_blog_number"]; ?>" />
                          <small>The number of posts to show per blog page, beginning with the latest post</small><div class="clearfix"></div>
                      </div>
                  </div>
              </form>
          </div>
      </div>
      <?php	 
  }
}
?>