<?php
/*
Template Name: Blog
*/
?>
<?php global $more; $more = FALSE; ?>
<?php $theme_options = get_option('darknature'); ?>
<?php get_header() ?>
	<div <?php if ($theme_options['cp_sidebar_position'] == 'hidden') { ?>class="fullwidthpage"<?php } ?>>
        <div id="content">
            <div id="content-top"></div>
            <div id="content-middle">
                <div id="post-container">
                    <?php $paged = intval(get_query_var('paged'));
                    query_posts('&cat='.$theme_options["cp_blog_cat"].'&posts_per_page='.$theme_options["cp_blog_number"].'&paged='.$paged ); ?>
                    <?php while( have_posts() ) : the_post(); ?>
                    <div id="post-<?php the_ID() ?>" class="post">
                        <h2 class="post-title"><a href="<?php the_permalink() ?>" title="<?php the_title() ?>" rel="bookmark"><?php the_title() ?></a></h2>								
                        <div class="devider"></div>
                        <div class="post-meta">
                            <div class="meta-content">Posted on <?php the_time('F j, Y'); ?> in: <?php the_category(', '); ?></div>
                            <div class="jump_to_comments"><?php comments_popup_link('Post Comment', '1 Comment', '% Comments') ?></div>
                        </div>
                        <div class="devider"></div>
                        <?php $postimage = get_post_meta($post->ID, "post-img", true);
						$postimageurl = get_post_meta($post->ID, "post-img-url", true);
                        if ($postimage) { ?>
                        	<div class="post-img">
                            	<div class="eye"></div>
                            	<a href="<?php echo ($postimageurl)?$postimageurl:$postimage; ?>" rel="prettyPhoto[collection]" title="<?php echo $post->post_title; ?>">
                                	<img src="<?php echo $postimage; ?>" alt="<?php echo $post->post_title; ?>" />
                                </a>
                            </div>
                        <?php } ?>
                        <div class="post-content">
                            <?php the_content('Read more'); ?>
                        </div>
                    </div><!-- .post -->
                    <?php endwhile ?>
                    <div class="navigation">
                        <div class="navleft"><?php next_posts_link('&laquo; Older Posts') ?></div>
                        <div class="navright"><?php previous_posts_link('Newer Posts &raquo;') ?></div>
                    </div>
                    <?php wp_reset_query(); ?>
                </div><!-- #post-container -->
            </div><!-- #content-middle -->
            <div id="content-bottom"></div>
        </div><!-- #content -->
	</div>
<?php if ($theme_options['cp_sidebar_position'] != 'hidden') { get_sidebar(); } ?>
<?php get_footer() ?>