<?php session_start(); ?>
<?php $theme_options = get_option('darknature'); ?>
<?php
// add feed links to header
if (function_exists('automatic_feed_links')) {
	automatic_feed_links();
} else {
	return;
}
// remove junk from head
remove_action('wp_head', 'rsd_link');
remove_action('wp_head', 'wp_generator');
remove_action('wp_head', 'feed_links', 2);
remove_action('wp_head', 'index_rel_link');
remove_action('wp_head', 'wlwmanifest_link');
remove_action('wp_head', 'feed_links_extra', 3);
remove_action('wp_head', 'start_post_rel_link', 10, 0);
remove_action('wp_head', 'parent_post_rel_link', 10, 0);
remove_action('wp_head', 'adjacent_posts_rel_link', 10, 0);
//register the sidebar
if ( function_exists('register_sidebar') ) {
	register_sidebar(array(
		'name' => 'Sidebar',
		'before_widget' => '<div class="sidepanel">',
		'after_widget' => '</div></div>',
		'before_title' => '<h3>',
		'after_title' => '</h3><div class="sidepanel-content">',
	));
	register_sidebar(array(
		'name' => 'Frontpage',
		'before_widget' => '<div class="frontcontent">',
		'after_widget' => '</div></div>',
		'before_title' => '<h2>',
		'after_title' => '</h2><div class="widgettext">',
	));
	register_sidebar(array(
		'name' => 'Page footer',
		'before_widget' => '<div class="footerwidget">',
		'after_widget' => '</div></div>',
		'before_title' => '<h2>',
		'after_title' => '</h2><div class="widgettext">',
	));
	register_sidebar(array(
		'name' => 'Post footer',
		'before_widget' => '<div class="footerwidget">',
		'after_widget' => '</div></div>',
		'before_title' => '<h2>',
		'after_title' => '</h2><div class="widgettext">',
	));
}
//include the admin controlpanel
require_once(TEMPLATEPATH . '/backend/controlpanel.php');
$cpanel = new ControlPanel();
require_once(TEMPLATEPATH . '/backend/customfields.php');
?>