<?php $theme_options = get_option('darknature'); ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<meta name="description" content="<?php bloginfo('description') ?>" />
<meta name="generator" content="WordPress <?php bloginfo('version') ?>" /><!-- Please leave for stats -->
<title><?php bloginfo('name'); ?> <?php if ( is_single() ) { ?> &raquo; Blog Archive <?php } ?> <?php wp_title(); ?></title>
<link rel="icon" href="<?php echo $theme_options['cp_favicon']; ?>" type="image/x-icon" />
<link rel="shortcut icon" href="<?php echo $theme_options['cp_favicon']; ?>" type="image/x-icon" />
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<!-- sidebar position -->
<?php if ($theme_options['cp_sidebar_position'] == 'right') { ?>
    <link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/sidebar.right.css" type="text/css" media="screen" />
<?php } elseif ($theme_options['cp_sidebar_position'] == 'left') { ?>
    <link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/sidebar.left.css" type="text/css" media="screen" />
<?php } ?>
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> Comments RSS Feed" href="<?php bloginfo('comments_rss2_url') ?>"  />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<!-- include jQuery -->
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.4.2/jquery.min.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/jquery.validate.pack.js"></script>
<!-- include prettyphoto -->
<link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/prettyPhoto.css" type="text/css" media="screen" title="prettyPhoto main stylesheet" charset="utf-8" />
<script src="<?php bloginfo('template_directory'); ?>/js/jquery.prettyPhoto.js" type="text/javascript" charset="utf-8"></script>

<!-- include nivo slider -->
<?php if (is_home() && $theme_options["cp_slider_show"] == "1") { ?>
<link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/nivo-slider.css" type="text/css" media="screen" />
<script src="<?php bloginfo('template_directory'); ?>/js/jquery.nivo.slider.js" type="text/javascript"></script>
<script type="text/javascript">
$(document).ready(function(){
	$('#slider').nivoSlider({
		effect:'<?php echo $theme_options["cp_slider_effect"] ?>',
		slices: 3,
		animSpeed: 800,
		pauseTime: <?php echo ($theme_options["cp_slider_time"] * 1000) ?>,
		directionNav:true,
		directionNavHide:true,
		controlNav:true,
		pauseOnHover:true,
		manualAdvance:false,
		beforeChange: function(){},
		afterChange: function(){}
	});
});
</script>
<?php } ?>
<!-- include digg button -->
<script type="text/javascript">
(function() {
	var s = document.createElement('SCRIPT'), s1 = document.getElementsByTagName('SCRIPT')[0];
	s.type = 'text/javascript';
	s.src = 'http://widgets.digg.com/buttons.js';
	s1.parentNode.insertBefore(s, s1);
})();
</script>
<!-- include google analytics -->
<?php if ($theme_options['cp_trackingcode']) { ?>
<script type="text/javascript">
	var gaJsHost = (("https:" == document.location.protocol) ? "https://ssl." : "http://www.");
	document.write(unescape("%3Cscript src='" + gaJsHost + "google-analytics.com/ga.js' type='text/javascript'%3E%3C/script%3E"));
	try {
		var pageTracker = _gat._getTracker("<?php echo $theme_options['cp_trackingcode']; ?>");
		pageTracker._trackPageview();
	} catch(err) {}
</script>
<?php } ?>
<!-- some jquery stuff -->
<script type="text/javascript">
$(document).ready(function(){
	//css3 text shadows
	$('#frontabout, .frontcontent, #mainmenu, #logo, #portfolio-container, #sidebar, #footer-links').addClass("text-shadow-black");
	$('#slider-title, #post-container').addClass("text-shadow-white");
	//text color
	$('.post-title a, .post .post-meta a, .post-content a, .more-link, .comment-meta, .sidepanel a, .widgettext a').css('color','#<?php echo $theme_options['cp_color']; ?>');
	$('input[type="submit"]').addClass("button");
	$('.button').css('background-color','#<?php echo $theme_options['cp_color']; ?>');
	//transparent widget inputfields
	$("#sidebar input[type='text'], .frontcontent input[type='text']").animate({
		opacity: 0.8
	}, 0 );
	//resize the menu bg
	$('#menu_middle').css('width',($('#mainmenu').width() - 140)+'px');
	//menu hover effect
	$('#mainmenu .submenu').append('<div class="menubg"></div>');
	$('#mainmenu .menubg').animate({
		opacity: 0.7
	}, 0);
	$('#mainmenu li').hover(
		function(){
			$('.submenu',$(this)).stop(true, true).show('fast');
		},
		function(){
			$('.submenu',$(this)).stop(true, true).hide('fast');
		}
	);
	//font replacement
	$('h2,h3,.navigation div a').addClass("diavlo");
	$('h1, #logo').addClass("diavlo-bold");
	Cufon.replace('.diavlo',{ fontFamily: 'Diavlo Light', textShadow: '#000 0px 1px' });
	Cufon.replace('.diavlo-bold', { fontFamily: 'Diavlo Bold', textShadow: '#000 0px 1px' });
	Cufon.replace($('.diavlo',$('.text-shadow-white')),{ fontFamily: 'Diavlo Light', textShadow: '#fff 0px 1px' });
	Cufon.replace($('.diavlo-bold',$('.text-shadow-white')), { fontFamily: 'Diavlo Bold', textShadow: '#fff 0px 1px' });
	//portfolio hover effect
	<?php if ($theme_options['cp_image_hover']) { ?>
		$('.post-img img').hover(
			function(){
				$(this).animate({
					opacity: 0.5
				}, 200 );
			},
			function(){
				$(this).animate({
					opacity: 1
				}, 200 );
			}
		);
	<?php } ?>
	//prettyphoto
	$("a[rel^='prettyPhoto']").prettyPhoto({
		animationSpeed: 'fast', /* fast/slow/normal */
		padding: 20,
		opacity: 0.80,
		showTitle: true,
		allowresize: true,
		counter_separator_label: ' of ',
		theme: 'light_rounded' /* light_rounded / dark_rounded / light_square / dark_square */
	});
	//validate contact form
	$("#contactform").validate();
});
</script>
<?php wp_head(); ?>
</head>
<body>
<div id="wrapper">
	<div id="header">
    	<div id="logo-container">
			<?php if (is_single() OR is_page()) { ?>
            <h2 id="logo"><a href="<?php echo get_settings('home'); ?>" title="<?php bloginfo('name'); ?>"><?php if ($theme_options['cp_bloglogo']) { ?><img src="<?php echo $theme_options['cp_bloglogo']; ?>" alt="Logo" /><?php } else { ?><span><?php bloginfo('name'); ?></span><?php } ?></a></h2>
            <?php
            } else { ?>
            <h1 id="logo"><a href="<?php echo get_settings('home'); ?>" title="<?php bloginfo('name'); ?>"><?php if ($theme_options['cp_bloglogo']) { ?><img src="<?php echo $theme_options['cp_bloglogo']; ?>" alt="Logo" /><?php } else { ?><span><?php bloginfo('name'); ?></span><?php } ?></a></h1>
            <?php }	?>
        </div>
		<?php //custom menu with subtitles
        function sub_page_list() {
            global $wpdb, $theme_options, $current_page_template;
            $sql = "SELECT DISTINCT p.ID, p.post_title, p.guid, pm.meta_value, pm2.meta_value AS page_template, pm3.meta_value AS menuhide FROM " . $wpdb->posts . " AS p ";
            $sql .= "LEFT JOIN (SELECT post_id, meta_value FROM " . $wpdb->postmeta . " WHERE meta_key = 'subtitle') ";
            $sql .= "AS pm ON p.ID = pm.post_id ";
            $sql .= "LEFT JOIN (SELECT post_id, meta_value FROM " . $wpdb->postmeta . " WHERE meta_key = '_wp_page_template') ";
            $sql .= "AS pm2 ON p.ID = pm2.post_id ";
			$sql .= "LEFT JOIN (SELECT post_id, meta_value FROM " . $wpdb->postmeta . " WHERE meta_key = 'menuhide') ";
			$sql .= "AS pm3 ON p.ID = pm3.post_id ";
            $sql .= "WHERE p.post_type = 'page' AND p.post_parent = 0 AND p.post_status = 'publish' ";
            $sql .= "ORDER BY p.menu_order ASC ";
            $rows = $wpdb->get_results($sql,OBJECT);
            if($rows) {
                foreach($rows as $row) {
					if (!$row->menuhide || $row->menuhide == '0') {
						if (is_page($row->post_title)) {
							echo "<li class=\"current_page_item\">";
						}
						else {
							echo "<li>";
						}					
						$link_url = get_permalink($row->ID);
						echo "<a href=\"$link_url\"><span class=\"menu-title\">$row->post_title</span>";
						echo "<span class=\"subtitle\" style=\"display:block;\">$row->meta_value</span></a>";
			
						$has_subpages = wp_list_pages('title_li=&child_of='.$row->ID.'&echo=0');
						if($has_subpages || $row->page_template == "portfolio.php" || $row->page_template == "gallery.php") {
							echo '<ul class="submenu">';
							if ($row->page_template == "portfolio.php" && $theme_options["cp_portfolio_submenu"] == "1" && $theme_options["cp_portfolio_cat"]) {
								$cats = explode(",",$theme_options["cp_portfolio_cat"]);
								foreach ($cats as $cat) {
									$catname = get_cat_name($cat);
									?><li class="page_item"><a title="<?php echo $catname; ?>" href="<?php echo get_category_link($cat); ?>"><?php echo $catname; ?></a></li><?php
								}
							}
							elseif ($row->page_template == "gallery.php" && $theme_options["cp_gallery_submenu"] == "1" && $theme_options["cp_gallery_cat"]) {
								$cats = explode(",",$theme_options["cp_gallery_cat"]);
								foreach ($cats as $cat) {
									$catname = get_cat_name($cat);
									?><li class="page_item"><a title="<?php echo $catname; ?>" href="<?php echo get_category_link($cat); ?>"><?php echo $catname; ?></a></li><?php
								}
							}
							echo $has_subpages;
							echo '</ul>';
						}
						echo "</li>";
					}
                }
            }
        }
        function childtheme_page_menu() {
			global $theme_options; ?>
            <div id="menu">
            	<div id="menu_bg">
                    <div id="menu_left"></div>
                    <div id="menu_middle"></div>
                    <div id="menu_right"></div>
                </div>
                <ul id="mainmenu">
					<?php if ($theme_options['cp_menu_home']) { ?>
                        <li<?php if (is_front_page()) { echo ' class="current_page_item"'; } ?>><a href="<?php bloginfo('home') ?>/" title="<?php echo wp_specialchars( get_bloginfo('name'), 1 ) ?>" rel="home">
                            <span class="menu-title">Home</span><span class="subtitle" style="display:block;"><?php echo $theme_options["cp_menu_home_subtitle"]; ?></span>
                        </a></li>
                    <?php }
                    sub_page_list(); ?>
            	</ul>
            </div>
        <?php }
        add_filter('wp_page_menu','childtheme_page_menu');
        wp_page_menu('title_li=&sort_column=menu_order&depth=2&show_home=1'); ?>
	</div><!--  #header -->
	<div id="container">
    	<?php if (is_home() && $theme_options["cp_slider_show"] == "1") { ?>
            <div id="slider-container">
                <div id="slider">
                    <?php if ($theme_options["cp_slider_cat"] && $theme_options["cp_slider_number"] > 0) {
                        query_posts( 'cat='.$theme_options["cp_slider_cat"].'&showposts=-1' );
                        if( have_posts() ) {
							$x = 0;
                            while( have_posts() && $x < $theme_options["cp_slider_number"] ) : the_post();
								$postimageurl = get_post_meta($post->ID, "post-img", true);
								if ($postimageurl) { ?>
									<a href="<?php the_permalink() ?>"><img src="<?php echo $postimageurl; ?>" title="<?php echo esc_html($post->post_title); ?>" alt="<?php echo esc_html($post->post_title); ?>" /></a>
									<?php $x++;
								}
                            endwhile;
                        } 
                    } else { ?>
                        <img src="<?php bloginfo('template_directory') ?>/images/wood1.jpg" title="Example image - Disable the slider or add post-images to your articles to change this" alt="Example image" />
                    <?php }
                    wp_reset_query();
                    ?>
                </div><!-- #slider -->
                <div id="slider-title"></div>
                <div id="slider-nav"></div>
            </div><!-- #slider-container -->
        <?php } ?>