<?php $theme_options = get_option('darknature'); ?>
<?php get_header() ?>
	<div <?php if ($theme_options['cp_sidebar_position'] == 'hidden') { ?>class="fullwidthpage"<?php } ?>>
        <div id="content">
            <div id="content-top"></div>
            <div id="content-middle">
                <div id="post-container">
                    <?php if (have_posts()) : ?>
                        <div class="post">
                            <h3 class="page-subtitle">Search results for: <?php echo wp_specialchars(stripslashes($_GET['s']), true); ?></h3>
                            <div class="devider"></div>
                        </div>
                        <?php while ( have_posts() ) : the_post() ?>
                        <div id="post-<?php the_ID() ?>" class="post">
                            <h2 class="post-title"><a href="<?php the_permalink() ?>" title="<?php the_title() ?>" rel="bookmark"><?php the_title() ?></a></h2>								
                            <div class="devider"></div>
                            <div class="post-meta">Posted on <?php the_time('F j, Y'); ?> in: <?php the_category(', '); ?><div class="jump_to_comments"><?php comments_popup_link('Post Comment', '1 Comment', '% Comments') ?></div></div>
                            <div class="devider"></div>
                            <?php $postimage = get_post_meta($post->ID, "post-img", true);
							$postimageurl = get_post_meta($post->ID, "post-img-url", true);
                            if ($postimage) { ?>
                                <div class="post-img">
                                    <div class="eye"></div>
                                    <a href="<?php echo ($postimageurl)?$postimageurl:$postimage; ?>" rel="prettyPhoto[collection]" title="<?php echo $post->post_title; ?>">
                                        <img src="<?php echo $postimage; ?>" alt="<?php echo $post->post_title; ?>" />
                                    </a>
                                </div>
                            <?php } ?>
                            <div class="post-content">
                                <?php the_content('Read more'); ?>
                            </div>
                        </div><!-- .post -->
                        <?php endwhile ?>
                        <div class="navigation">
                            <div class="navleft"><?php next_posts_link('&laquo; Older Posts', '0') ?></div>
                            <div class="navright"><?php previous_posts_link('Newer Posts &raquo;', '0') ?></div>
                        </div>
                    <?php else : ?>
                        <div id="post-0" class="post">
                            <h2 class="post-title">Nothing Found</h2>
                            <div class="post-content">
                                <p>Sorry, but nothing matched your search criteria. Please try again with some different keywords.</p>
                            </div>
                            <form id="searchform" method="get" action="<?php bloginfo('home') ?>">
                                <div>
                                    <input id="s" name="s" type="text" value="<?php echo wp_specialchars(stripslashes($_GET['s']), true) ?>" size="40" />
                                    <input id="searchsubmit" name="searchsubmit" type="submit" value="Find" />
                                </div>
                            </form>
                        </div><!-- .post -->
                    <?php endif; ?>
                </div><!-- #post-container -->
            </div><!-- #content-middle -->
            <div id="content-bottom"></div>
        </div><!-- #content -->
	</div>
<?php if ($theme_options['cp_sidebar_position'] != 'hidden') { get_sidebar(); } ?>
<?php get_footer() ?>