<?php get_header() ?>
<?php $theme_options = get_option('darknature'); ?>
	<div <?php if ($theme_options['cp_sidebar_position'] == 'hidden') { ?>class="fullwidthpage"<?php } ?>>
        <div id="content">
            <div id="content-top"></div>
            <div id="content-middle">
                <?php the_post() ?>
                <div id="post-container">
                    <div id="post-<?php the_ID(); ?>" class="post">
                        <h1 class="post-title"><?php the_title(); ?></h1>
                        <div class="devider"></div>
                        <div class="post-meta">
                            <div class="meta-content">Posted on <?php the_time('F j, Y'); ?> in: <?php the_category(', '); ?></div>
                            <a class="jump_to_comments" href="#comments">Jump To Comments</a>
                        </div>
                        <div class="devider"></div>
                        <?php $postimage = get_post_meta($post->ID, "post-img", true);
						$postimageurl = get_post_meta($post->ID, "post-img-url", true);
                        if ($postimage) { ?>
                            <div class="post-img">
                                <div class="eye"></div>
                                <a href="<?php echo ($postimageurl)?$postimageurl:$postimage; ?>" rel="prettyPhoto[collection]" title="<?php echo $post->post_title; ?>">
                                    <img src="<?php echo $postimage; ?>" alt="<?php echo $post->post_title; ?>" />
                                </a>
                            </div>
                        <?php } ?>
                        <div class="post-content">
                            <?php the_content() ?>
                        </div>
                    </div><!-- .post -->
                    <?php if ($theme_options["cp_post_share"] == "1") { ?>
                        <div id="share-container">
                            <div class="devider"></div>
                            <div id="share-buttons">
                                Share this: 
                                <a name="fb_share" type="icon_link" style="vertical-align:bottom;padding:0 5px;display:inline-block;" href="http://www.facebook.com/sharer.php"></a><script src="http://static.ak.fbcdn.net/connect.php/js/FB.Share" type="text/javascript"></script>                   
                                <a style="vertical-align:bottom;padding:0 5px;display:inline-block;" class="DiggThisButton DiggIcon"></a>
                                <a style="vertical-align:bottom;padding:0 5px;display:inline-block;" href="http://delicious.com/save" onclick="window.open('http://delicious.com/save?v=5&noui&jump=close&url='+encodeURIComponent('<?php the_permalink() ?>')+'&title='+encodeURIComponent('<?php the_title() ?>'),'delicious', 'toolbar=no,width=550,height=550'); return false;"><img src="http://static.delicious.com/img/delicious.small.gif" height="15" width="15" alt="Delicious" /></a>
                                <a style="vertical-align:bottom;padding:0 5px;display:inline-block;" href="http://twitter.com/home?status=Currently reading <?php the_permalink(); ?>" title="Share this on Twitter!" target="_blank"><img src="http://twitter-badges.s3.amazonaws.com/t_mini-a.png" height="15" width="15" alt="Share this on Twitter!"/></a>
                            </div>
                            <div class="devider"></div>
                        </div>
                    <?php } ?>
                    <?php comments_template(); ?>
                </div>
            </div><!-- .content-middle -->
            <div id="content-bottom"></div>
        </div><!-- #content -->
	</div>
<?php if ($theme_options['cp_sidebar_position'] != 'hidden') { get_sidebar(); } ?>
<?php get_footer() ?>