<?php $theme_options = get_option('darknature'); ?>
<?php $portfolio_cats = explode(',',$theme_options["cp_portfolio_cat"]);
$gallery_cats = explode(',',$theme_options["cp_gallery_cat"]);

$catname = single_cat_title('',false);
$catid = get_cat_ID($catname);

if (in_array($catid, $portfolio_cats)) {
	include('portfolio.php');
} elseif (in_array($catid, $gallery_cats)) {
	include('gallery.php');
} else { ?>
	<?php get_header() ?>
        <div <?php if ($theme_options['cp_sidebar_position'] == 'hidden') { ?>class="fullwidthpage"<?php } ?>>
            <div id="content">
                <div id="content-top"></div>
                <div id="content-middle">
                    <div id="post-container">
                        <div class="post">
                            <h3 class="page-subtitle">Category Archive: <?php echo single_cat_title() ?></h3>
                            <div class="devider"></div>
                        </div>
                        <?php while ( have_posts() ) : the_post() ?>
                        <div id="post-<?php the_ID() ?>" class="post">
                            <h2 class="post-title"><a href="<?php the_permalink() ?>" title="<?php the_title() ?>" rel="bookmark"><?php the_title() ?></a></h2>								
                            <div class="devider"></div>
                            <div class="post-meta">Posted on <?php the_time('F j, Y'); ?> in: <?php the_category(', '); ?><div class="jump_to_comments"><?php comments_popup_link('Post Comment', '1 Comment', '% Comments') ?></div></div>
                            <div class="devider"></div>
                            <?php $postimage = get_post_meta($post->ID, "post-img", true);
                            $postimageurl = get_post_meta($post->ID, "post-img-url", true);
                            if ($postimage) { ?>
                                <div class="post-img">
                                    <div class="eye"></div>
                                    <a href="<?php echo ($postimageurl)?$postimageurl:$postimage; ?>" rel="prettyPhoto[collection]" title="<?php echo $post->post_title; ?>">
                                        <img src="<?php echo $postimage; ?>" alt="<?php echo $post->post_title; ?>" />
                                    </a>
                                </div>
                            <?php } ?>
                            <div class="post-content">
                                <?php the_content('Read more'); ?>
                            </div>
                        </div><!-- .post -->
                        <?php endwhile ?>
                        <div class="navigation">
                            <div class="navleft"><?php next_posts_link('&laquo; Older Posts', '0') ?></div>
                            <div class="navright"><?php previous_posts_link('Newer Posts &raquo;', '0') ?></div>
                        </div>
                    </div><!-- #post-container -->
                </div><!-- #content-middle -->
                <div id="content-bottom"></div>
            </div><!-- #content -->
        </div>
    <?php if ($theme_options['cp_sidebar_position'] != 'hidden') { get_sidebar(); } ?>
    <?php get_footer() ?>
<?php } ?>