<?php
/*
Template Name: Category gallery
*/
?>
<?php global $more; $more = FALSE; ?>
<?php $theme_options = get_option('darknature'); ?>
<?php get_header() ?>
	<div id="portfolio-top"></div>
	<div id="portfolio-content">
    	<div id="portfolio-container">
			<?php if ($theme_options["cp_catgallery_cat"]) {
				$categories = explode(',',$theme_options["cp_catgallery_cat"]);
				$catcount = 1;
				foreach ($categories as $catid) {
					query_posts( 'cat='.$catid.'&showposts=-1' );
					if( have_posts() ) { ?>
						<div id="portfolio-item-<?php echo $catid; ?>" class="portfolio-item">
							<div class="post-img-container">
								<div class="post-img">
									<div class="eye"></div>
									<?php $postcount = 1;
									while( have_posts() ) : the_post();
									$postimage = get_post_meta($post->ID, "post-img", true);
									$postimageurl = get_post_meta($post->ID, "post-img-url", true); ?>
									<a <?php if ($postcount > 1) { echo 'style="display:none"'; } ?> href="<?php echo ($postimageurl)?$postimageurl:$postimage; ?>" rel="prettyPhoto[<?php echo $catid; ?>]" title="<?php echo $post->post_title; ?>">
										<img src="<?php echo $postimage; ?>" alt="<?php echo $post->post_title; ?>" />
									</a>
									<?php $postcount++;
									endwhile; ?>
								</div>
							</div>
							<?php if ($theme_options["cp_catgallery_title"] == 1) { ?>
								<div class="portfolio-text">
									<h2 class="post-title"><a><?php echo get_cat_name($catid); ?></a></h2>
								</div>
							<?php } ?>
						</div><!-- .portfolio-item -->
						<?php if ($catcount % 3 == 0 && $theme_options["cp_catgallery_title"] == 1) { ?>
							<div class="item-devider"></div>
						<?php }
						$catcount++; ?>
					<?php } 
				}
			} ?>
		</div>
	</div><!-- #portfolio-content -->
    <div id="portfolio-bottom"></div>
<?php get_footer() ?>