<?php
/*
Template Name: Contact
*/
?>
<?php $theme_options = get_option('darknature'); ?>
<?php get_header() ?>
	<div <?php if ($theme_options['cp_sidebar_position'] == 'hidden') { ?>class="fullwidthpage"<?php } ?>>
        <div id="content">
            <div id="content-top"></div>
            <div id="content-middle">
                <?php the_post() ?>
                <div id="post-container">
                    <div id="post-<?php the_ID(); ?>" class="post">
                        <h1 class="post-title"><?php the_title(); ?></h1>
                        <div class="devider"></div>
                        <div class="post-content">
                            <?php the_content() ?>
                        </div>
                        <div id="contact-wrapper">
                            <h2>Send us an email</h2>
                            <?php if(isset($_POST['submit'])) {
                                if(trim($_POST['contactname']) == '') {
                                    $hasError = true;
                                } else {
                                    $name = trim($_POST['contactname']);
                                }
                                if(trim($_POST['email']) == '')  {
                                    $hasError = true;
                                } else if (!eregi("^[A-Z0-9._%-]+@[A-Z0-9._%-]+\.[A-Z]{2,4}$", trim($_POST['email']))) {
                                    $hasError = true;
                                } else {
                                    $email = trim($_POST['email']);
                                }
								if(trim($_POST['subject']) == '') {
                                    $hasError = true;
                                } else {
                                    $subject = trim($_POST['subject']);
                                }
                                if(trim($_POST['message']) == '') {
                                    $hasError = true;
                                } else {
                                    if(function_exists('stripslashes')) {
                                        $comments = stripslashes(trim($_POST['message']));
                                    } else {
                                        $comments = trim($_POST['message']);
                                    }
                                }
                                if(!isset($hasError)) {
                                    $emailTo = ($theme_options["cp_contact_email"])?$theme_options["cp_contact_email"]:get_option('admin_email');
                                    $body = "Name: $name \n\nEmail: $email \n\nMessage:\n $comments";
                                    $headers = 'From: <'.$email.'>' . "\r\n" . 'Reply-To: ' . $email;
                            
                                    mail($emailTo, $subject, $body, $headers);
                                    $emailSent = true;
                                    echo '<br><p>The email has been send!</p>';
                                }
                                else {
                                    echo '<br><p>Something went wrong... Please try again</p>';
                                }
                            }
                            else { ?>                        
                            <form method="post" action="" id="contactform">
                                <div>
                                    <input type="text" size="50" name="contactname" id="contactname" class="required" value="" />
                                    <label for="name"><strong>Name*</strong></label>
                                </div>
                                <div>
                                    <input type="text" size="50" name="email" id="email" class="required" value="" />
                                    <label for="email"><strong>Email*</strong></label>
                                </div>
                                <div>
                                    <input type="text" size="50" name="subject" id="subject" class="required" value="" />
                                    <label for="email"><strong>Subject*</strong></label>
                                </div>
                                <div>
                                    <label for="message"><strong>Message*</strong></label>
                                    <textarea rows="5" cols="50" name="message" id="message" class="required"></textarea>
                                </div>
                                <input type="submit" value="Send Message" name="submit" />
                            </form>
                            <?php } ?>
                        </div>
                    </div><!-- .post -->
                </div>
            </div><!-- .content-middle -->
            <div id="content-bottom"></div>
        </div><!-- #content -->
	</div>
<?php if ($theme_options['cp_sidebar_position'] != 'hidden') { get_sidebar(); } ?>
<?php get_footer() ?>