<?php get_header() ?>
<?php $theme_options = get_option('darknature'); ?>

	<?php if ($theme_options["cp_frontpage_blog"] == "1") { ?>
    	<?php global $more; $more = FALSE; ?>
    	<div id="frontpage-spacer"></div>
        <div <?php if ($theme_options['cp_sidebar_position'] == 'hidden') { ?>class="fullwidthpage"<?php } ?>>
            <div id="content">
                <div id="content-top"></div>
                <div id="content-middle">
                    <div id="post-container">
                        <?php $paged = intval(get_query_var('paged'));
                        query_posts('&cat='.$theme_options["cp_frontpage_cat"].'&posts_per_page='.$theme_options["cp_frontpage_number"].'&paged='.$paged ); ?>
                        <?php while ( have_posts() ) : the_post() ?>
                        <div id="post-<?php the_ID() ?>" class="post">
                            <h2 class="post-title"><a href="<?php the_permalink() ?>" title="<?php the_title() ?>" rel="bookmark"><?php the_title() ?></a></h2>								
                            <div class="devider"></div>
                            <div class="post-meta">
                                <div class="meta-content">Posted on <?php the_time('F j, Y'); ?> in: <?php the_category(', '); ?></div>
                                <div class="jump_to_comments"><?php comments_popup_link('Post Comment', '1 Comment', '% Comments') ?></div>
                            </div>
                            <div class="devider"></div>
                            <?php $postimage = get_post_meta($post->ID, "post-img", true);
                            $postimageurl = get_post_meta($post->ID, "post-img-url", true);
                            if ($postimage) { ?>
                                <div class="post-img">
                                    <div class="eye"></div>
                                    <a href="<?php echo ($postimageurl)?$postimageurl:$postimage; ?>" rel="prettyPhoto[collection]" title="<?php echo $post->post_title; ?>">
                                        <img src="<?php echo $postimage; ?>" alt="<?php echo $post->post_title; ?>" />
                                    </a>
                                </div>
                            <?php } ?>
                            <div class="post-content">
                                <?php the_content('Read more'); ?>
                            </div>
                        </div><!-- .post -->
                        <?php endwhile ?>
                        <div class="navigation">
                            <div class="navleft"><?php next_posts_link('&laquo; Older Posts', '0') ?></div>
                            <div class="navright"><?php previous_posts_link('Newer Posts &raquo;', '0') ?></div>
                        </div>
                        <?php wp_reset_query(); ?>
                    </div><!-- #post-container -->
                </div><!-- #content-middle -->
                <div id="content-bottom"></div>
            </div><!-- #content -->	
		</div>
        <?php if ($theme_options['cp_sidebar_position'] != 'hidden') { get_sidebar(); } ?>
	<?php } else { ?>
        <div id="frontcontent-container">
        	<?php if ($theme_options["cp_frontpage_contact"] == "1") { ?>
                <div id="getintouch" class="frontcontent">
                    <h2><?php echo $theme_options["cp_frontpage_contact_title"]; ?></h2>
                    <div class="fronttext">
                        <div id="social-buttons">
                            <a href="<?php bloginfo('rss2_url'); ?>" target="_BLANK"><img src="<?php bloginfo('template_directory'); ?>/images/rss.png" alt="RSS button" /></a>
                            <?php if ($theme_options['cp_twitter_button']) { ?><a href="http://www.twitter.com/<?php echo $theme_options['cp_twitter_button']; ?>" target="_BLANK"><img src="<?php bloginfo('template_directory'); ?>/images/twitter.png" alt="Twitter button" /></a><?php } ?>
                            <?php if ($theme_options['cp_facebook_button']) { ?><a href="<?php echo $theme_options['cp_facebook_button']; ?>" target="_BLANK"><img src="<?php bloginfo('template_directory'); ?>/images/facebook.png" alt="Facebook button" /></a><?php } ?>
                            <?php if ($theme_options['cp_flickr_button']) { ?><a href="<?php echo $theme_options['cp_flickr_button']; ?>" target="_BLANK"><img src="<?php bloginfo('template_directory'); ?>/images/flickr.png" alt="Flickr button" /></a><?php } ?>
                            <?php if ($theme_options['cp_linkedin_button']) { ?><a href="<?php echo $theme_options['cp_linkedin_button']; ?>" target="_BLANK"><img src="<?php bloginfo('template_directory'); ?>/images/linkedin.png" alt="LinkedIn button" /></a><?php } ?>
                        </div>
                        <?php if ($theme_options["cp_contact_phone"]) { ?>
                        <div id="phone">
                            <div class="icon"></div>
                            <div class="text">
                                <p class="title">phone</p>
                                <p><?php echo $theme_options["cp_contact_phone"] ?></p>
                            </div>
                        </div>
                        <?php } ?>
                        <?php if ($theme_options["cp_contact_email"]) { ?>
                        <div id="email">
                            <div class="icon"></div>
                            <div class="text">
                                <p class="title">email</p>
                                <p><?php echo $theme_options["cp_contact_email"] ?></p>
                            </div>
                        </div>
                        <?php } ?>
                    </div><!-- .fronttext -->
                </div><!-- #getintouch -->
            <?php } ?>
        	<?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar(2) ) : ?>
       		<?php endif; ?>
        </div><!-- #frontcontent-container -->
	<?php } ?>
<?php get_footer() ?>